<template>
    <div class="content-wrapper">
         <div class="row">
           <div class="col-sm-3"></div>
           <div class="col-sm-6 col-md-6 col-lg-6">
              <div class="form-group">
                <label for="exampleInputName1">Name</label>
                  <input type="text" class="form-control" id="exampleInputName1" placeholder="Name" 
                  v-model="details.name">
                  <ul v-if="error.name">
                    {{ error.name[0] }}
                  </ul>
              </div>
              <div class="form-group">
                <label for="exampleInputEmail3">Email address</label>
                  <input type="email" class="form-control" id="exampleInputEmail3" placeholder="Email" 
                  v-model="details.email">
                  <ul v-if="error.email">
                    {{ error.email[0]  }}
                  </ul>
              </div>
              <div class="form-group">
                <img :src="'images/'+details.image" alt="" style="height:100px; width:100px">
              </div>
              <div class="form-group">
                <label>Image upload</label>
                <input type="file" name="img" id="img" v-on:change="getimage" class="form-control"/>
              </div>
               <button type="submit" class="btn btn-gradient-primary mr-2" @click="editRecord">Update</button>
            </div>
           </div>
           <div class="col-sm-3"></div>
         </div>
</template>
<script>
export default {
    data(){
        return {
          email: '',
          img : '',
          error:[],
          success : '',
          details : [],
          files: [],
          form : new FormData,
        }
    },
    methods:{
        getimage(e){
            console.log(e);
            this.img = e.target.files[0];
        },
        reloaddata: function()
        {
          axios.get('/userdetails')
          .then((response) => this.details = response.data[0])
        },
        editRecord(){
          const config = {
                    headers: { 'content-type': 'multipart/form-data' }
                }
          this.form.append('pic',this.img);
          this.form.append('name',this.details.name);
          this.form.append('email',this.details.email);      
          axios.post('/edituserprofile',this.form,config)
          .then(data=> {
            console.log(data);
            this.$eventBus.$emit('userprofileupdate');
          })
          .catch(error=>{
            this.error = error.response.data.errors
          })
        },
    },
    created(){
      this.$eventBus.$on('userprofileupdate',this.reloaddata)
      axios.get('/userdetails')
      .then((response) => this.details = response.data[0])
      .catch((error) => console.log(error));
      console.log("sidebar component loaded successfully");
  }
}
</script>
<style scoped>
    
</style>